/*
* @(#)CpeMessageArea.java	1.0 98/1/5
* 
*/

import javax.swing.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;

public class CpeMessageArea extends JTextArea implements MouseListener
{

  public JPopupMenu popup = null;
  public JTextArea area = null;

  public CpeMessageArea() {
    super();
    super.addMouseListener((MouseListener)this);
    area = this;
  }

  public void mouseClicked(MouseEvent e) {

    //on a right click, clear the window
    if (e.isMetaDown()) {    
      popup = createPopup();
      add(popup);
      popup.show(this, e.getX(),e.getY());
    }
  }

  public void mouseEntered(MouseEvent e) {
  }
    
  public void mouseExited(MouseEvent e) {
  }
    
  public void mousePressed(MouseEvent e) {
  }
  
  public void mouseReleased(MouseEvent e) {
  }

  public JPopupMenu createPopup() {
    String[] labels = new String[] { 
      "Clear Window"};
    
    String[] commands = new String[] {
      "clearcpa"};
    
    JPopupMenu popup = new JPopupMenu();
    
    for(int i=0; i < 1; i++) {
      if (labels[i].equals("-")) {
	popup.addSeparator();
      }
      else {
	JMenuItem mi = new JMenuItem(labels[i]);
	mi.setActionCommand(commands[i]);
	mi.addActionListener(new ActionListener() {
	  public void actionPerformed(ActionEvent e) {
	    area.setText(""); 
	    Cpe.sharedInstance().updateRoot();
	  }
	});
	popup.add(mi);
      }
    }
    return popup;
  }
}
